#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include <algorithm>
using namespace std;

int n,m;

int main()
{
  freopen("heapsort.in","r",stdin);
  freopen("heapsort.out","w",stdout);

  int i,j,k;

  scanf("%d",&n);

  for(i=0; i<n; i++) 
  {
    if (i) printf(" ");
    printf("%d",n-i);
  }
  puts("");


  return 0;
}